=== tpe/CMakeLists.txt ===
add_subdirectory(lib)
add_subdirectory(plugin)
