=== debian/changelog ===
ignition-physics2 (2.5.0-1~buster) buster; urgency=medium

  * ignition-physics2 2.5.0-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Tue, 09 Nov 2021 21:12:05 -0600

ignition-physics2 (2.5.0~pre1-1~buster) buster; urgency=medium

  * ignition-physics2 2.5.0~pre1-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Thu, 28 Oct 2021 20:47:35 -0500

ignition-physics2 (2.4.0-1~buster) buster; urgency=medium

  * ignition-physics2 2.4.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 14 Apr 2021 19:00:18 -0700

ignition-physics2 (2.3.0-1~buster) buster; urgency=medium

  * ignition-physics2 2.3.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 05 Oct 2020 17:59:51 -0700

ignition-physics2 (2.2.0-1~buster) buster; urgency=medium

  * ignition-physics2 2.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 31 Jul 2020 15:56:04 -0700

ignition-physics2 (2.1.0-2~buster) buster; urgency=medium

  * ignition-physics2 2.1.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 28 May 2020 08:40:42 -0700

ignition-physics2 (2.1.0-1~buster) buster; urgency=medium

  * ignition-physics2 2.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 08 May 2020 09:28:55 -0700

ignition-physics2 (2.0.0-2~buster) buster; urgency=medium

  * ignition-physics2 2.0.0-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 25 Apr 2020 18:55:11 +0200

ignition-physics2 (2.0.0-1~buster) buster; urgency=medium

  * ignition-physics2 2.0.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 11 Dec 2019 00:09:59 +0100
