=== debian/control ===
Source: ignition-physics2
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 9),
               libignition-cmake2-dev,
               libignition-common3-graphics-dev,
               libignition-common3-profiler-dev,
               libignition-math6-dev,
               libignition-math6-eigen3-dev,
               libignition-plugin-dev (>= 1.1.0),
# dart without major version number to get versions coming from Debian
               libdart6-dev (<< 6.10.0) | libdart-dev (<< 6.10.0),
               libdart6-collision-ode-dev (<< 6.10.0) | libdart-collision-ode-dev (<< 6.10.0),
               libdart6-external-ikfast-dev (<< 6.10.0) | libdart-external-ikfast-dev (<< 6.10.0),
               libdart6-external-odelcpsolver-dev (<< 6.10.0) | libdart-external-odelcpsolver-dev (<< 6.10.0),
               libdart6-utils-dev (<< 6.10.0) | libdart-utils-dev (<< 6.10.0),
               libdart6-utils-urdf-dev (<< 6.10.0) | libdart-utils-urdf-dev (<< 6.10.0),
               libsdformat9-dev
Vcs-Browser: https://github.com/ignition-release/ign-physics2-release
Vcs-Hg: https://github.com/ignition-release/ign-physics2-release
Homepage: http://ignitionrobotics.org/

Package: libignition-physics2-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-math6-dev,
         libignition-plugin-dev (>= 1.1.0),
         libignition-physics2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Development files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Core component, development files

Package: libignition-physics2-sdf-dev
Architecture: any
Section: libdevel
Depends: libignition-physics2-core-dev,
         libignition-cmake2-dev,
         libsdformat9-dev,
         libignition-physics2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - SDF Dev files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  SDF component, development files

Package: libignition-physics2-mesh-dev
Architecture: any
Section: libdevel
Depends: libignition-physics2-core-dev,
         libignition-cmake2-dev,
         libignition-common3-graphics-dev,
         libignition-physics2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Mesh Dev files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Mesh component, development files

Package: libignition-physics2
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Shared library
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Main shared library

Package: libignition-physics2-dartsim-dev
Architecture: any
Section: libdevel
Depends: libignition-physics2-core-dev,
         libignition-physics2-sdf-dev,
         libignition-physics2-mesh-dev,
         libignition-cmake2-dev,
         libignition-common3-graphics-dev,
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev (>= 1.1.0),
         libdart6-dev (<< 6.10.0) | libdart-dev (<< 6.10.0),
         libdart6-collision-ode-dev (<< 6.10.0) | libdart-collision-ode-dev (<< 6.10.0),
         libdart6-utils-dev (<< 6.10.0) | libdart-utils-dev (<< 6.10.0),
         libdart6-utils-urdf-dev (<< 6.10.0) | libdart-utils-urdf-dev (<< 6.10.0),
         libdart6-external-odelcpsolver-dev (<< 6.10.0) | libdart-external-odelcpsolver-dev (<< 6.10.0),
         libdart6-external-ikfast-dev (<< 6.10.0) | libdart-external-ikfast-dev (<< 6.10.0),
         libdart6-collision-bullet-dev (<< 6.10.0) | libdart-collision-bullet-dev (<< 6.10.0),
         libsdformat9-dev,
         libignition-physics2-dartsim (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Development files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Dartsim component, development files

Package: libignition-physics2-dartsim
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Dartsim library
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  DARTSim component shared library

Package: libignition-physics2-tpe-dev
Architecture: any
Section: libdevel
Depends: libignition-physics2-core-dev,
         libignition-physics2-sdf-dev,
         libignition-physics2-mesh-dev,
         libignition-cmake2-dev,
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev (>= 1.1.0),
         libsdformat9-dev,
         libignition-physics2-tpe (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Development files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE plugin component, development files

Package: libignition-physics2-tpe
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Dartsim library
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE plugin component shared library

Package: libignition-physics2-tpelib-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev (>= 1.1.0),
         libignition-physics2-tpelib (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Development files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE library component, development files

Package: libignition-physics2-tpelib
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Dartsim library
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE library component shared library

Package: libignition-physics2-dev
Architecture: any
Section: libdevel
Depends: libignition-physics2-core-dev,
         libignition-physics2-dartsim-dev,
         libignition-physics2-mesh-dev,
         libignition-physics2-sdf-dev,
         libignition-physics2-tpe-dev,
         libignition-physics2-tpelib-dev,
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Metapackage
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Metapackage, all development files
