## ignition-physics2 2.5.1-1~focal

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,18 +3,17 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-physics2 VERSION 2.5.0)
+project(ignition-physics2 VERSION 2.5.1)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
-find_package(ignition-cmake2 2.8.0 REQUIRED)
+find_package(ignition-cmake2 2.14.0 REQUIRED)
 
 #============================================================================
 # Configure the project
 #============================================================================
 ign_configure_project(VERSION_SUFFIX)
-
 
 #============================================================================
 # Set project-specific options
@@ -67,7 +66,7 @@
     collision-ode
     utils
     utils-urdf
-  EXTRA_ARGS CONFIG
+  CONFIG
   VERSION 6.9
   REQUIRED_BY dartsim
   PKGCONFIG dart
@@ -80,7 +79,7 @@
 
 # Plugin install dirs
 set(IGNITION_PHYSICS_ENGINE_INSTALL_DIR
-  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${IGN_DESIGNATION}-${PROJECT_VERSION_MAJOR}/engine-plugins
+  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${GZ_DESIGNATION}-${PROJECT_VERSION_MAJOR}/engine-plugins
 )
 
 #============================================================================
