## ignition-physics2 2.6.2-1~focal

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-physics2 VERSION 2.5.1)
+project(ignition-physics2 VERSION 2.6.2)
 
 #============================================================================
 # Find ignition-cmake
@@ -13,7 +13,10 @@
 #============================================================================
 # Configure the project
 #============================================================================
-ign_configure_project(VERSION_SUFFIX)
+ign_configure_project(
+  REPLACE_IGNITION_INCLUDE_PATH gz/physics
+  VERSION_SUFFIX
+)
 
 #============================================================================
 # Set project-specific options
