=== include/CMakeLists.txt ===
add_subdirectory(gz/physics)
install(DIRECTORY ignition DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL})
