=== debian/changelog ===
ignition-physics2 (2.6.2-1~focal) focal; urgency=medium

  * ignition-physics2 2.6.2-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Fri, 05 Jan 2024 19:10:40 -0600

ignition-physics2 (2.6.1-1~focal) focal; urgency=medium

  * ignition-physics2 2.6.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 12 Jan 2023 10:41:55 -0800

ignition-physics2 (2.6.0-1~focal) focal; urgency=medium

  * ignition-physics2 2.6.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 30 Nov 2022 11:01:13 -0800

ignition-physics2 (2.6.0~pre1-1~focal) focal; urgency=medium

  * ignition-physics2 2.6.0~pre1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 30 Nov 2022 08:47:13 -0800
