=== debian/rules ===
#!/usr/bin/make -f

.PHONY: override_dh_auto_configure \
        override_dh_install \
        override_dh_auto_test

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_install:
	dh_install --
	dh_missing --list-missing

# test cannot run in parallel
# arm64 problems https://github.com/gazebosim/gz-physics/issues/70
override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH),arm64)
	true
else
	dh_auto_test --max-parallel=1
endif
